/*
* CKAN Data Explorer
* version: 1.0
* ==============================================================================
*/
.text-uppercase {
  text-transform: uppercase;
}
.data-filter-edit-active {
  border-color: #ffb733;
  background-color: orange;
}
.unselectable {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.fade-in-animation {
  animation: 200ms fadeIn ease-in-out;
}
.auto-select {
  cursor: pointer;
}
.data-explorer {
  /*td,
    th {
        &:not(:first-child) {
            text-align: right;
        }
    }*/
}
.data-explorer .panel-title {
  text-transform: uppercase;
}
.data-explorer .panel-title .fa {
  margin-right: 6px;
}
.data-explorer .table {
  margin: 15px 0 30px;
}
.data-explorer th {
  vertical-align: middle;
}
.data-sort-btn {
  background: transparent;
  padding: 0;
  outline: none;
  border: none;
  text-align: inherit;
  position: relative;
  color: inherit;
}
.data-sort-btn.active {
  color: #008A8B;
}
.data-sort-btn.active .fa {
  color: inherit;
}
.data-sort-btn .fa {
  color: #aaa;
  display: block;
  font-size: 10px;
  margin-top: 5px;
  padding: 5px;
}
.data-sort-btn:hover {
  cursor: pointer;
}
.data-explorer-title {
  text-transform: uppercase;
  margin: 10px 0;
}
.data-explorer-filters {
  margin-bottom: 30px;
  animation: 200ms fadeIn ease-in-out;
}
.data-explorer-filters .panel-title {
  margin: 7.5px 0;
}
.dropdown-menu-notice {
  opacity: 0.7;
  padding: 5px 15px;
}
.actions .data-explorer-download li {
  display: block;
}
.actions .data-explorer-download a {
  cursor: pointer;
}
.btn-reset-filter,
.btn-apply-filter {
  animation: 200ms fadeIn ease-in-out;
}
.data-explorer-controls {
  margin-bottom: 0;
}
.table-resource-preview thead tr th {
  vertical-align: bottom;
}
.data-explorer-filter-operators {
  display: inline-block;
  margin: 0 15px;
}
.data-explorer-filter-operators input[type="radio"] {
  display: none;
}
.data-explorer-filter-operators input[type="radio"]:checked + label {
  color: #fff;
  background-color: #00A58D !important;
}
.data-explorer-filter-operators .form-group:first-child label {
  margin-left: 0;
}
.data-explorer-filter-operators label {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  border-radius: 0;
}
.data-explorer-filter-operators label:after {
  content: none;
}
.data-explorer-filter-create {
  animation: 200ms fadeIn ease-in-out;
  border-top: 1px solid #e9e9e9;
  margin-top: 15px;
  padding-top: 15px;
}
.data-explorer-active-filters {
  margin-bottom: 0;
}
.data-explorer-active-filters .pill {
  animation: 200ms fadeIn ease-in-out;
  padding-bottom: 2px;
}
.data-explorer-extracts .dataset-resources {
  font-size: initial;
  margin-bottom: 0;
}
.ui-datepicker-trigger {
  color: #fff;
  background: #00A58D;
  position: relative;
  border: 0;
  height: 34px;
  vertical-align: middle;
  padding: 6px 12px;
}
.ui-datepicker-trigger:before {
  font-family: 'FontAwesome', sans-serif;
  position: absolute;
  display: inline-block;
  content: '\f133';
  top: auto;
  right: auto;
  bottom: auto;
  left: auto;
}
.edit .data-filter-edit {
  border-color: #ffb733;
  background-color: orange;
}
.data-filter-edit {
  padding: 0 6px;
  border-radius: 2px;
  border: 1px solid rgba(255, 255, 255, 0.3);
  margin: 0 5px 0 6px;
}
.data-filter-edit:hover {
  border-color: #ffb733;
  background-color: orange;
}
#data-filter-interval-toggle {
  display: none;
}
#data-filter-input-type {
  text-transform: uppercase;
}
.data-filter-interval-fields {
  display: inline-block;
  margin-left: 15px;
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
}
a.btn.btn-success.ui-button.ui-corner-all.ui-widget {
  display: none;
}
